<?php
/**
 * @var string $action "customize_show_call_card"
 * @var array  $params
 *
 * Подробное описание в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx
 *
 * Вывод в лог можно сделать так:
 *   $this->logDebug($message);
 * Функции для вывода с другим уровнем логирования: logInfo, logWarn, logError.
 *
 * Запросы в Битрикс24 реализованы в классе Bitrix (lib/crm.php)
 * Подробности и примеры в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx/zaprosy-v-bitriks-iz-kastomizacii
 *
 * Дла запросов в БД Asterisk предусмотрены функции (lib/Utils.php):
 *   Utils::mysqliQuery($sql, $getResult);   - запрос через php-mysqli
 *   Utils::mysqlClcQuery($sql, $getResult); - запрос через MySQL Command-Line Client
 */

// Нужно вернуть массив: 'обновляемое_поле' => значение
// Параметры запроса telephony.externalcall.show:
// https://dev.1c-bitrix.ru/rest_help/scope_telephony/telephony/telephony_externalcall_show.php

$newFields = array();

return array(
    'state' => 'success',
    'data'  => $newFields,
);
