<?php
/**
 * @var string $action "process_final_params"
 * @var array  $params
 *
 * Подробное описание в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx
 *
 * Вывод в лог можно сделать так:
 *   $this->logDebug($message);
 * Функции для вывода с другим уровнем логирования: logInfo, logWarn, logError.
 *
 * Запросы в Битрикс24 реализованы в классе Bitrix (lib/crm.php)
 * Подробности и примеры в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx/zaprosy-v-bitriks-iz-kastomizacii
 *
 * Дла запросов в БД Asterisk предусмотрены функции (lib/Utils.php):
 *   Utils::mysqliQuery($sql, $getResult);   - запрос через php-mysqli
 *   Utils::mysqlClcQuery($sql, $getResult); - запрос через MySQL Command-Line Client
 */

//// Пример: меняем ответственного за пропущенный звонок на определённый транк
//// Указываем ID пользователя в битрикс, который будет ответственным за пропущенные на транк
//$trunkToID = array(
//    '+73432723033' => 5,
//    '88007654321' => 456,
//);
//
//$trunk = isset($params['call_full']['channel']['trunk']['custom'])
//    ? $params['call_full']['channel']['trunk']['custom']
//    : $params['call_full']['channel']['trunk']['original'];
//
//if (! $params['call_full']['channel']['was_answered']) { // пропущенный звонок
//    && array_key_exists($trunk, $trunkToID)) {
//
//    $params['USER_ID'] = $trunkToID[$trunk];
//}
//// Конец примера

return array(
    'state' => 'success',
    'data'  => $params,
);
