<?php
/**
 * @var string $action "process_task_creation_params"
 * @var array  $params
 *
 * Подробное описание в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx
 *
 * Вывод в лог можно сделать так:
 *   $this->logDebug($message);
 * Функции для вывода с другим уровнем логирования: logInfo, logWarn, logError.
 *
 * Запросы в Битрикс24 реализованы в классе Bitrix (lib/crm.php)
 * Подробности и примеры в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx/zaprosy-v-bitriks-iz-kastomizacii
 *
 * Дла запросов в БД Asterisk предусмотрены функции (lib/Utils.php):
 *   Utils::mysqliQuery($sql, $getResult);   - запрос через php-mysqli
 *   Utils::mysqlClcQuery($sql, $getResult); - запрос через MySQL Command-Line Client
 */

// Поля задачи описаны в документации REST API Битрикс24:
// https://dev.1c-bitrix.ru/rest_help/tasks/task/tasks/tasks_task_getFields.php

$taskParams = &$params['fields'];

//// Пример 1: указываем постановщиком ответственного пользователя
//$taskParams['CREATED_BY'] = $taskParams['RESPONSIBLE_ID'];

////Пример 2: добавляем час к дэдлайну
//$deadLine = date_create($taskParams['DEADLINE']);
//$deadLine->add(new DateInterval('PT1H'));
//$taskParams['DEADLINE'] = $deadLine->format('c');

return array(
    'state' => 'success',
    'data'  => $params,
);
