#!/usr/bin/env bash
#
# from: 3.11.9
exit

#{
#set -o nounset
#set -o errexit
#
#SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
#readonly SCRIPT_DIR
#SCRIPT_FILENAME="$(basename "${BASH_SOURCE[0]}")"
#readonly SCRIPT_FILENAME
#
#. "${SCRIPT_DIR}/post_update_lib.sh"
#
#function apply() {
#  local suffix="$1"
#  # shellcheck disable=SC2034
#  local conf="$2"
#  # shellcheck disable=SC2034
#  local service="$3"
#  # shellcheck disable=SC2034
#  local log="$4"
#
#  # shellcheck disable=SC2034
#  local tok="${APP_DIR}/token${suffix}.json"
#  # shellcheck disable=SC2034
#  local state="${APP_DIR}/state${suffix}.json"
#
#  # Examples for jedit usage
#  # timeout=$(jGet "${conf}" "customizer.execution_timeout_msec")
#  # jAdd     "${conf}" "bitrix.unanswered_responsible_type" 0
#  # jSet     "${tok}"  "expiry" '"0000-01-01T01:00:00Z"'
#  # jDel     "${conf}" "app.locale"
#  # jMove    "${conf}" "App" "app" "{}"
#  # jConvert "${conf}" "bitrix.cache_storage_time_min" "int" # supported types: string, int, float, bool
#
#  echo "Add new customizer settings"
#  jAdd "${conf}" "customizer.methods.customize_attach_record_url" "false"
#  jAdd "${conf}" "customizer.methods.customize_show_call_card" "false"
#  jAdd "${conf}" "customizer.methods.post_registration" "false"
#
#  echo "Remove outdated state.json file"
#  rm -f "${state}"
#
#  local cust_path
#  cust_path="$(jGet "${conf}" "customizer.program_path")"
#  cust_path="${cust_path//'"'/}"
#  if [ "${cust_path}" != "" ]; then
#    # check if it's new customizer or old
#    if [ "${cust_path##*/}" == "customize.php" ]; then
#      # this is a new type of customizer, update libs
#      echo "Update customizer for instance with config ${conf}..."
#      local cust_dir
#      cust_dir="${cust_path%/*}"
#
#      update_customizer_libs "${cust_dir}"
#
#      echo "Copy new customizer actions"
#      local action="customize_attach_record_url"
#      if [ -f "${cust_dir}/actions/${action}.php" ]; then
#        echo "${action}.php already exists"
#      else
#        cp -v "${APP_DIR}/customizer.dist/actions/${action}.php" "${cust_dir}/actions/${action}.php"
#      fi
#      action="customize_show_call_card"
#      if [ -f "${cust_dir}/actions/${action}.php" ]; then
#        echo "${action}.php already exists"
#      else
#        cp -v "${APP_DIR}/customizer.dist/actions/${action}.php" "${cust_dir}/actions/${action}.php"
#      fi
#      action="post_registration"
#      if [ -f "${cust_dir}/actions/${action}.php" ]; then
#        echo "${action}.php already exists"
#      else
#        cp -v "${APP_DIR}/customizer.dist/actions/${action}.php" "${cust_dir}/actions/${action}.php"
#      fi
#
#      update_default_actions "${cust_dir}"
#    else
#      echo "Legacy version of customizer is in use for instance with config ${conf} so customizer update is not applicable"
#    fi
#  else
#    echo "WARNING: customizer not found for instance with config ${conf}"
#  fi
#
#  echo "Update prefixes settings..."
#  if [ "$(jGet "${conf}" "app.prefixes")" == "" ]; then
#    jAdd "${conf}" "app.prefixes" "[]"
#    local prefixes
#    prefixes="$(jGet "${conf}" "bitrix.prefixes")"
#    if [ "${prefixes}" != "" ]; then
#      jSet "${conf}" "app.prefixes" "${prefixes}"
#    fi
#  fi
#  jDel "${conf}" "bitrix.prefixes"
# 
#  echo "Update customizer settings..."
#  jMove "${conf}" "customizer.execution_timeout_msec" "customizer.default_execution_timeout_msec" 500
#  jMove "${conf}" "customizer.is_enabled"             "customizer.enabled"                        true
#  for action in "process_final_params" \
#                "process_registration_params" \
#                "process_task_creation_params" \
#                "customize_activity" \
#                "customize_autodistribution" \
#                "customize_entity" \
#                "customize_attach_record_url" \
#                "customize_show_call_card" \
#                "post_registration"; do
#    jMove "${conf}" "customizer.methods.${action}" "customizer.actions.${action}.enabled" false
#  done
#  jDel "${conf}" "customizer.methods"
#  for action in "process_user_phone" \
#                "process_client_phone" \
#                "process_originate_params" \
#                "process_record_file_path" \
#                "need_registration"; do
#    jSet "${conf}" "customizer.actions.${action}.enabled" true
#  done
#  jSet "${conf}" "customizer.actions.process_record_file_path.execution_timeout_msec" 10000
#
#  echo "Add new CRM settings..."
#  jAdd "${conf}" "bitrix.external_lines" "{}"
#}
#
#portals=()
#
#function claim_crm_state() {
#  local suffix="$1"
#  # shellcheck disable=SC2034
#  local conf="$2"
#  # shellcheck disable=SC2034
#  local service="$3"
#  # shellcheck disable=SC2034
#  local log="$4"
#
#  # shellcheck disable=SC2034
#  local tok="${APP_DIR}/token${suffix}.json"
#  # shellcheck disable=SC2034
#  local state="${APP_DIR}/state${suffix}.json"
#
#  local portal
#  portal="$(jGet "${conf}" "bitrix.host")"
#  echo "Instance has portal ${portal}"
#  local processed_portals
#  processed_portals=" ${portals[*]} "
#  if [ "${processed_portals/$portal/}" != "${processed_portals}" ]; then
#    echo "Portal ${portal} was already processed, skip"
#  else
#    "${APP_DIR}/itgrix_bx" --config "${conf}" --claim-crm-state && \
#    echo "CRM state claimed for portal ${portal}" || \
#    echo "WARNING: Failed to claim CRM state for portal ${portal}, check event handlers and external lines manually after update"
#    portals+=("${portal}")
#  fi
#}
#
#function main() {
# echo "Start ${SCRIPT_FILENAME} (${PRODUCT_NAME} ${PRODUCT_VERSION})"
#
# reinstall_sudoers
# foreach_instance apply
#
# echo "Claim CRM state"
# foreach_instance claim_crm_state
#
# echo "Finish ${SCRIPT_FILENAME} (${PRODUCT_NAME} ${PRODUCT_VERSION})"
#}
#
#main "$@"
#exit 0
#}
