CUR_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

if [ "${__SHLIB_UTILS_SH:-}" != '1' ]; then
  . "${CUR_DIR}/../shlib/utils.sh"
fi
if [ "${__SHLIB_ITGRIX_SH:-}" != '1' ]; then
  . "${CUR_DIR}/../shlib/itgrix.sh"
fi
if [ "${__COMMON_SH:-}" != '1' ]; then
  . "${CUR_DIR}/../common.sh"
fi

readonly PRODUCT_NAME="${SUPERV_PRODUCT_NAME}"
readonly PRODUCT_VERSION="1.3.4"

readonly APP_DIR="${SUPERV_APP_DIR}"
readonly BIN_FILENAME="${SUPERV_BIN_FILENAME}"
readonly BIN_PATH="${SUPERV_BIN_PATH}"

readonly CONFIG_DIR="/etc/${MAIN_PRODUCT_NAME}"
readonly CONFIG_PATH="${CONFIG_DIR}/config.json"

readonly SERVICE_NAME="${SUPERV_SERVICE_NAME}"
readonly SERVICE_FILE_SYSTEMD="${SUPERV_SERVICE_FILE_SYSTEMD}"
readonly SERVICE_FILE_INIT="${SUPERV_SERVICE_FILE_INIT}"

readonly LOG_DIR="${MAIN_LOG_DIR}"
readonly LOG_PATH="${LOG_DIR}/${SERVICE_NAME}.log"
readonly LOGROTATE_CONFIG_PATH="${SUPERV_LOGROTATE_CONFIG_PATH}"
