readonly __COMMON_SH='1'


readonly MAIN_PRODUCT_NAME="itgrix_bx"
readonly MAIN_PRODUCT_VERSION="3.11.10"

readonly MAIN_APP_DIR="/opt/${MAIN_PRODUCT_NAME}"
readonly MAIN_BIN_FILENAME="${MAIN_PRODUCT_NAME}"
readonly MAIN_BIN_PATH="${MAIN_APP_DIR}/${MAIN_BIN_FILENAME}"

readonly MAIN_CONFIG_DIR="/etc/${MAIN_PRODUCT_NAME}"
readonly MAIN_CONFIG_PATH="${MAIN_CONFIG_DIR}/config.json"

readonly SERVICE_DIR_SYSTEMD="/etc/systemd/system"
readonly SERVICE_DIR_INIT="/etc/init.d"

readonly MAIN_LOG_DIR="/var/log"
readonly LOGROTATE_CONFIG_DIR="/etc/logrotate.d"

readonly SUDOERS_DIR="/etc/sudoers.d"

readonly OS_TMP_DIR="${TMPDIR:-"/tmp"}"
readonly MAIN_PRODUCT_TMP_DIR="${OS_TMP_DIR}/${MAIN_PRODUCT_NAME}"

readonly DATETIME_FORMAT_FOR_FILE="%Y%m%d-%H%M%S" # ГГГГММДД-ЧЧММСС


# Supervisor

readonly SUPERV_PRODUCT_NAME="${MAIN_PRODUCT_NAME}_supervisor"

readonly SUPERV_APP_DIR="${MAIN_APP_DIR}/supervisor"
readonly SUPERV_BIN_FILENAME="${SUPERV_PRODUCT_NAME}"
readonly SUPERV_BIN_PATH="${SUPERV_APP_DIR}/${SUPERV_BIN_FILENAME}"

readonly SUPERV_SERVICE_NAME="${SUPERV_PRODUCT_NAME}"
readonly SUPERV_SERVICE_FILE_SYSTEMD="${SERVICE_DIR_SYSTEMD}/${SUPERV_SERVICE_NAME}.service"
readonly SUPERV_SERVICE_FILE_INIT="${SERVICE_DIR_INIT}/${SUPERV_SERVICE_NAME}"

readonly SUPERV_LOGROTATE_CONFIG_PATH="${LOGROTATE_CONFIG_DIR}/${SUPERV_SERVICE_NAME}"
