<?php
/**
 * @var string $action "customize_activity"
 * @var array  $params
 *
 * Подробное описание в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx
 *
 * Вывод в лог можно сделать так:
 *   $this->logDebug($message);
 * Функции для вывода с другим уровнем логирования: logInfo, logWarn, logError.
 *
 * Запросы в Битрикс24 реализованы в классе Bitrix (lib/crm.php)
 * Подробности и примеры в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx/zaprosy-v-bitriks-iz-kastomizacii
 *
 * Дла запросов в БД Asterisk предусмотрены функции (lib/Utils.php):
 *   Utils::mysqliQuery($sql, $getResult);   - запрос через php-mysqli
 *   Utils::mysqlClcQuery($sql, $getResult); - запрос через MySQL Command-Line Client
 */

// Нужно вернуть массив: 'обновляемое_поле' => значение
// Поля дела описаны в документации REST API Битрикс24:
// https://dev.1c-bitrix.ru/rest_help/crm/rest_activity/crm_activity_fields.php

$activityFields = array();

//// Пример: изменяем заголовок дела
//
//$type = 'Входящий ';
//$number = isset($params['call_full']['channel']['from']['custom'])
//    ? $params['call_full']['channel']['from']['custom']
//    : $params['call_full']['channel']['from']['original'];
//
//if ($params['call_full']['channel']['type'] == 'outgoing') {
//    $type = 'Исходящий ';
//    $number = isset($params['call_full']['channel']['to']['custom'])
//        ? $params['call_full']['channel']['to']['custom']
//        : $params['call_full']['channel']['to']['original'];
//}
//
//if (! $params['call_full']['channel']['was_answered']) { // пропущенный звонок
//    $type .= 'пропущенный ';
//}
//
//$activityFields['SUBJECT'] = $number . ' - ' . $type . 'звонок';
//// Конец примера

return array(
    'state' => 'success',
    'data'  => $activityFields,
);
