<?php
/**
 * @var string $action "customize_autodistribution"
 * @var array  $params
 *
 * Подробное описание в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx
 *
 * Вывод в лог можно сделать так:
 *   $this->logDebug($message);
 * Функции для вывода с другим уровнем логирования: logInfo, logWarn, logError.
 *
 * Запросы в Битрикс24 реализованы в классе Bitrix (lib/crm.php)
 * Подробности и примеры в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx/zaprosy-v-bitriks-iz-kastomizacii
 *
 * Дла запросов в БД Asterisk предусмотрены функции (lib/Utils.php):
 *   Utils::mysqliQuery($sql, $getResult);   - запрос через php-mysqli
 *   Utils::mysqlClcQuery($sql, $getResult); - запрос через MySQL Command-Line Client
 */

// Вернуть параметры:
// number (строка) - номер на который распределится звонок, пустой если не нужно распределять
// name   (строка) - имя которое нужно отобразить на Caller ID, максимум 20 символов, опционально
//
// Параметры from, error, user и entity - только для чтения, они удаляются автоматически.

return array(
    'state' => 'success',
    'data'  => $params,
);
