<?php
/**
 * @var string $action "process_originate_params"
 * @var array  $params Пример: array(
 *     extension   => 83431230099
 *     context     => from-internal
 *     caller_id   => Звонок на 83431230099 <83431230099>
 *     channel     => SIP/1234
 *     priority    => 1
 * )
 *
 * Подробное описание в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx
 *
 * Вывод в лог можно сделать так:
 *   $this->logDebug($message);
 * Функции для вывода с другим уровнем логирования: logInfo, logWarn, logError.
 *
 * Запросы в Битрикс24 реализованы в классе Bitrix (lib/crm.php)
 * Подробности и примеры в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx/zaprosy-v-bitriks-iz-kastomizacii
 *
 * Дла запросов в БД Asterisk предусмотрены функции (lib/Utils.php):
 *   Utils::mysqliQuery($sql, $getResult);   - запрос через php-mysqli
 *   Utils::mysqlClcQuery($sql, $getResult); - запрос через MySQL Command-Line Client
 */

$phone = &$params['extension'];

//// Получаем в $match последние 10 цифр номера
//if (preg_match('/(\d{10})$/', $phone, $match)) {
//    // Добавляем к найденому префикс
//    $phone = '8' . $match[1];
//}


//// Пример: Звонок через разные контексты
//
//$channel = explode('/', $params['channel']); // пример канала: SIP/162
//
//$contexts = array(
//    'custom-context-1' => array('161', '162', '163'),
//    'custom-context-2' => array('141', '140'),
//);
//
//foreach ($contexts as $context => $phones) {
//    if (in_array($channel[1], $phones, true)) {
//        $params['context'] = $context;
//        break;
//    }
//}
//// Конец примера

return array(
    'state' => 'success',
    'data'  => $params,
);
