<?php
/**
 * @var string $action "process_registration_params"
 * @var array  $params Пример: array(
 *     CALL_START_DATE => 2018-12-18T10:19:08+05:00
 *     CRM_CREATE      => 1
 *     CRM_SOURCE      => 7
 *     LINE_NUMBER     => 3432723033
 *     PHONE_NUMBER    => 83832337171
 *     SHOW            => 0
 *     TYPE            => 2
 *     USER_ID         => 238
 * )
 *
 * Подробное описание в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx
 *
 * Вывод в лог можно сделать так:
 *   $this->logDebug($message);
 * Функции для вывода с другим уровнем логирования: logInfo, logWarn, logError.
 *
 * Запросы в Битрикс24 реализованы в классе Bitrix (lib/crm.php)
 * Подробности и примеры в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx/zaprosy-v-bitriks-iz-kastomizacii
 *
 * Дла запросов в БД Asterisk предусмотрены функции (lib/Utils.php):
 *   Utils::mysqliQuery($sql, $getResult);   - запрос через php-mysqli
 *   Utils::mysqlClcQuery($sql, $getResult); - запрос через MySQL Command-Line Client
 */

//// Пример: номера через 8-ку
//
//$phone = &$params['PHONE_NUMBER'];
//
//if (preg_match('/(\d{10})$/', $phone, $match)) {
//    // берём 10 цифр в конце номера и ставим в начало 8ку
//    $phone = '8' . $match[1];
//}

return array(
    'state' => 'success',
    'data'  => $params,
);
