<?php
/**
 * @var string $action "process_user_phone"
 * @var array  $params
 *
 * Подробное описание в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx
 *
 * Вывод в лог можно сделать так:
 *   $this->logDebug($message);
 * Функции для вывода с другим уровнем логирования: logInfo, logWarn, logError.
 *
 * Запросы в Битрикс24 реализованы в классе Bitrix (lib/crm.php)
 * Подробности и примеры в документации Itgrix:
 * https://docs.itgrix.ru/custom_bx/zaprosy-v-bitriks-iz-kastomizacii
 *
 * Дла запросов в БД Asterisk предусмотрены функции (lib/Utils.php):
 *   Utils::mysqliQuery($sql, $getResult);   - запрос через php-mysqli
 *   Utils::mysqlClcQuery($sql, $getResult); - запрос через MySQL Command-Line Client
 */

$phone = $params['phone'];

//// Пример: номера через 8-ку
//if (preg_match('/(\d{10})$/', $phone, $match)) {
//    // берём 10 цифр в конце номера и ставим в начало 8ку
//    $phone = '8' . $match[1];
//}

return array(
    'state' => 'success',
    'data'  => array(
        'phone' => $phone,
    ),
);
